Address structures
Messaging basics

Device and message address structures. More...

## Classes

struct | player_devaddr
| A device address. More...
struct | player_msghdr
| Generic message header. More...

## Typedefs

typedef struct player_devaddr | player_devaddr_t
| A device address. More...
typedef struct player_msghdr | player_msghdr_t
| Generic message header. More...

## Detailed Description

Device and message address structures.

## Typedef Documentation

typedef struct player_devaddr player_devaddr_t

A device address.

Devices are identified by 12-byte addresses of this form. Some of the fields are transport-dependent in their interpretation.

typedef struct player_msghdr player_msghdr_t

Generic message header.

Every message starts with this header.

Last updated 12 September 2005 21:38:45